Page MenuHomePhabricator

HTTP 500 on af:Sjabloon:Omreken/Duaal/KafAafVhEaf
Closed, ResolvedPublic

Description

km@km-tp ~> curl "https://af.wikipedia.org/api/rest_v1/page/html/Sjabloon%3AOmreken%2FDuaal%2FKafAafVhEaf"
{"type":"https://mediawiki.org/wiki/HyperSwitch/errors/unknown_error","method":"get","uri":"/af.wikipedia.org/v1/page/html/Sjabloon%3AOmreken%2FDuaal%2FKafAafVhEaf"}⏎                                                                          km@km-tp ~> curl -I "https://af.wikipedia.org/api/rest_v1/page/html/Sjabloon%3AOmreken%2FDuaal%2FKafAafVhEaf"
HTTP/2 500 
date: Wed, 13 Sep 2017 04:17:14 GMT
content-type: application/problem+json
x-powered-by: Express
access-control-allow-origin: *
content-revision-id: 1162058
etag: W/"b5d-3/sfh20VQuzicwnAdtXgtRfKyF0"
vary: Accept-Encoding
content-location: https://af.wikipedia.org/api/rest_v1/page/html/Sjabloon%3AOmreken%2FDuaal%2FKafAafVhEaf
cache-control: private, max-age=0, s-maxage=0, must-revalidate
x-request-id: 4370127c-983a-11e7-99f4-b2eaf1229deb
x-varnish: 831033810, 240238453, 286342772, 231119308
via: 1.1 varnish-v4, 1.1 varnish-v4, 1.1 varnish-v4, 1.1 varnish-v4

Event Timeline

Legoktm created this task.Sep 13 2017, 4:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2017, 4:18 AM

Clearly an infinite loop of some sorts

[subbu@earth mediawiki] parse.js --prefix afwiki --page 'Sjabloon:Omreken/Duaal/KafAafVhEaf' < /dev/null
[fatal][afwiki/Sjabloon:Omreken/Duaal/KafAafVhEaf] Maximum call stack size exceeded
RangeError: Maximum call stack size exceeded
    at ParsoidLogger.Logger.log (/home/subbu/work/wmf/parsoid/lib/logger/Logger.js:103:3)
    at AsyncTokenTransformManager.emitChunk (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:377:12)
    at TokenAccumulator._callParentCB (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:1322:16)
    at TokenAccumulator.receiveToksFromChild (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:1253:7)
    at AsyncTokenTransformManager.maybeSyncReturn (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:835:3)
    at TokenAccumulator._callParentCB (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:1322:16)
    at TokenAccumulator.receiveToksFromChild (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:1253:7)
    at AsyncTokenTransformManager.maybeSyncReturn (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:835:3)
    at TokenAccumulator._callParentCB (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:1322:16)
    at TokenAccumulator.receiveToksFromChild (/home/subbu/work/wmf/parsoid/lib/wt2html/TokenTransformManager.js:1253:7)

Also a 500 on https://am.wikipedia.org/wiki/%E1%88%98%E1%88%88%E1%8C%A0%E1%8D%8A%E1%8B%AB%3AIf do you think it could be the same problem?

No, that looks like a case of T173384 which isn't fixed by the patch there :(

No, that looks like a case of T173384 which isn't fixed by the patch there :(

Though anticipated by it ... Anyways, a patch for it is at, https://gerrit.wikimedia.org/r/#/c/378042/

Arlolra claimed this task.Nov 3 2017, 2:47 PM
Arlolra triaged this task as Medium priority.

Change 388569 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T175792: Fix infinite template name expanding

https://gerrit.wikimedia.org/r/388569

Change 388569 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T175792: Fix infinite template name expanding

https://gerrit.wikimedia.org/r/388569

Arlolra closed this task as Resolved.Nov 3 2017, 8:23 PM